//  
//  ABEntry.h   --  Addressbook entry definitions
//  -- created  4/12/00  updated 4/19/00
//////////////////////////////////////// 
#ifndef ABENTRY_H

#define ABENTRY_H
#include <iostream.h>
#include <string>

class ABEntry
{
	private:
		string address;
		string full_name;
		string nickname;
	
	public:

// Constructor
		ABEntry()
		{
			address = "";
			full_name = "";
			nickname = "";
		};

// Mutators
		void set_Address( string );
		void set_Full_Name( string );
		void set_Nickname( string );
	
// Accessors
		string get_Address();
		string get_Full_Name();
		string get_Nickname();	

// For Debugging purposes only
		void display();
};
#endif
