//
//  basicNetwork.cpp  --  Basic IMAP functions
//  -- created 5/23/00  updated 5/23/00
///////////////////////////////////////////////

#include	"basicNetwork.h"

extern Althea gAlthea;

string readTilEOL(int sock)
{
string buffer;
int i;
char c;
        i = ReadFromSocket( sock, &c, 1 );
        while( i > 0  && c != 10 )
        {
                buffer=buffer+c;
                i = ReadFromSocket( sock, &c, 1 );
        }
	if (gAlthea.get_Verbose()==2)
	{
		cout << "S: " << buffer << endl;
	}
        return buffer;
}

string readTilEOLTilExpected(int sock, const string &expected1, const string &expected2)
{
string buffer="";
int i;
char c;

while ((strstr(buffer.c_str(),expected1.c_str())==NULL)
	&& (strstr(buffer.c_str(),expected2.c_str())==NULL)  )
{
buffer="";
        i = ReadFromSocket( sock, &c, 1 );
        while( i > 0  && c != 10 )
        {
                buffer=buffer+c;
                i = ReadFromSocket( sock, &c, 1 );
        }
        if (gAlthea.get_Verbose()==2)
        {
                cout << "S: " << buffer << endl;
        }

}
        return buffer;
}

//
// check for errors and stuff... if we get a BYE, stop reading and set
// error to 200. If we get RECENT (we might have new mail) set error to
// 201. (and the other function should probably call the folder.select
// function again, unless that's the function making the request
//


string readTilEOLTilExpected(int sock, const string &expected1, 
	const string &expected2, int &error)
{
string buffer="";
int i;
char c;
error=SUCCESS;

while ((strstr(buffer.c_str(),expected1.c_str())==NULL)
	&& (strstr(buffer.c_str(),expected2.c_str())==NULL)  )
{
buffer="";
        i = ReadFromSocket( sock, &c, 1 );
        while( i > 0  && c != 10 )
        {
                buffer=buffer+c;
                i = ReadFromSocket( sock, &c, 1 );
        }
	if (gAlthea.get_Verbose()==2)
        {
                cout << "S: " << buffer << endl;
        }

	if (strstr(buffer.c_str(), "BYE")!=NULL)
	{
		error=LOST_CONNECTION_TO_SERVER;
		return "";
	}
	if (strstr(buffer.c_str(), "RECENT")!=NULL)
	{
		error=NEW_MAIL;
	}
		


}
        return buffer;
}


string itoa(const int i)
{
char ret_val[10];

	sprintf(ret_val,"%d",i);
	return ret_val;

}













