//
//  basicNetwork.h  --  Basic IMAP functions
//  -- created 5/23/00  updated 5/23/00
///////////////////////////////////////////////

#ifndef BASICNETWORK_H
#define BASICNETWORK_H

#include        <iostream>
#include        <stdlib.h>
#include        <errno.h>
#include        <unistd.h>
#include        <string.h>
#include        <string>
#include        <list>
#include        <sys/types.h>
#include        <sys/socket.h>
#include        <netinet/in.h>
#include        <stdio.h>
#include        "tcpUtilities.h"
#include        "errors.h"
#include        "Althea.h"

// reads in a line from sock
string readTilEOL(int sock);

// reads in lines until they contain either of the expected strings
string readTilEOLTilExpected(int sock, const string &expected1, const string &expected2);

// same as above but it checks for errors
string readTilEOLTilExpected(int sock, const string &expected1, const
	string &expected2, int &error);

//converts integers to strings
string itoa(const int i);

#endif
